MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027863Community[OCCT] OCCT:Modeling Datapublic2016-09-12 12:162016-12-09 16:38
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027863: Geom_BSplineSurface::SetVKnot(const Standard_Integer, const Standard_Real) has no effect
DescriptionThe function Geom_BSplineSurface::SetVKnot has no effect and has asymmetric implementation to the Geom_BSplineSurface::SetUKnot function.
Steps To ReproduceNot applicable
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0057673)
git (administrator)
2016-09-12 12:19

Branch CR27863 has been created by drazmyslovich.

SHA-1: d6ffbf7f916c19aafac75194da95c8fee34ccfc5


Detailed log of new commits:

Author: razmyslovich
Date: Mon Sep 12 11:17:48 2016 +0200

    0027863: Fix Geom_BSplineSurface::SetVKnot function
(0057674)
drazmyslovich (developer)
2016-09-12 12:20

The changes are committed, please, review.
(0057675)
msv (developer)
2016-09-12 13:00

Dear drazmyslovich, do you have a use case that allows to reproduce incorrect behavior?
(0057676)
git (administrator)
2016-09-12 13:12

Branch CR27863_1 has been created by msv.

SHA-1: baf0573339f7ba789397144f36dc500a5db3ba0b


Detailed log of new commits:

Author: razmyslovich
Date: Mon Sep 12 11:17:48 2016 +0200

    0027863: Geom_BSplineSurface::SetVKnot(const Standard_Integer, const Standard_Real) has no effect
    
    Fix Geom_BSplineSurface::SetVKnot function to have the same behavior as SetUKnot.
(0057677)
msv (developer)
2016-09-12 13:14

The new branch CR27863_1 has been created taking into account requirements to the OCCT patch.
(0057678)
msv (developer)
2016-09-12 13:14

Reviewed.
(0057679)
drazmyslovich (developer)
2016-09-12 13:17

Dear msv, I don't have any special use case for it. In our code base we are just trying to edit the bspline surfaces, particularly, changing v and u knots. Changing of U knots works fine, while changing of V knots has no effect with no matter what bspline surface, what index and what parameter do we use. As it can be seen in the source code, the parameter is actually unused.
(0057686)
msv (developer)
2016-09-12 14:44

OK, the patch will go without a test case.
(0057727)
mkv (tester)
2016-09-13 11:45

Dear BugMaster,
Branch CR27863_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: baf0573339f7ba789397144f36dc500a5db3ba0b

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1141

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 90273515 / 90412639 [-0.15%]
Total CPU difference: 19262.669999999875 / 19445.620000000134 [-0.94%]
products component :
Total MEMORY difference: 30051906 / 29998667 [+0.18%]
Total CPU difference: 5050.219999999977 / 5044.539999999978 [+0.11%]

Testing on Windows:
occt component :
Total MEMORY difference: 57168523 / 57172575 [-0.01%]
Total CPU difference: 18405.37238239873 / 18100.047225198865 [+1.69%]
products component :
Total MEMORY difference: 21261724 / 21225414 [+0.17%]
Total CPU difference: 4954.076956699952 / 4888.104133799955 [+1.35%]

There are no differences in images found by testdiff.
(0057728)
mkv (tester)
2016-09-13 11:45

Dear BugMaster,
Branch CR27863_1 is TESTED.
(0059516)
git (administrator)
2016-10-28 21:45

Branch CR27863 has been deleted by kgv.

SHA-1: d6ffbf7f916c19aafac75194da95c8fee34ccfc5
(0059517)
git (administrator)
2016-10-28 21:45

Branch CR27863_1 has been deleted by kgv.

SHA-1: baf0573339f7ba789397144f36dc500a5db3ba0b

- Related Changesets
occt: master a165f002
Timestamp: 2016-09-12 09:17:48
Author: razmyslovich
Committer: bugmaster
Details ] Diff ]
0027863: Geom_BSplineSurface::SetVKnot(const Standard_Integer, const Standard_Real) has no effect

Fix Geom_BSplineSurface::SetVKnot function to have the same behavior as SetUKnot.
mod - src/Geom/Geom_BSplineSurface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-12 12:16 drazmyslovich New Issue
2016-09-12 12:16 drazmyslovich Assigned To => drazmyslovich
2016-09-12 12:19 git Note Added: 0057673
2016-09-12 12:20 drazmyslovich Note Added: 0057674
2016-09-12 12:20 drazmyslovich Assigned To drazmyslovich => msv
2016-09-12 12:20 drazmyslovich Status new => resolved
2016-09-12 12:20 drazmyslovich Steps to Reproduce Updated View Revisions
2016-09-12 13:00 msv Note Added: 0057675
2016-09-12 13:12 git Note Added: 0057676
2016-09-12 13:14 msv Note Added: 0057677
2016-09-12 13:14 msv Note Added: 0057678
2016-09-12 13:14 msv Assigned To msv => bugmaster
2016-09-12 13:14 msv Status resolved => reviewed
2016-09-12 13:16 mkv Assigned To bugmaster => mkv
2016-09-12 13:17 drazmyslovich Note Added: 0057679
2016-09-12 14:44 msv Note Added: 0057686
2016-09-13 11:45 mkv Note Added: 0057727
2016-09-13 11:45 mkv Note Added: 0057728
2016-09-13 11:45 mkv Assigned To mkv => bugmaster
2016-09-13 11:45 mkv Status reviewed => tested
2016-09-13 11:45 mkv Test case number => Not needed
2016-09-16 09:43 bugmaster Changeset attached => occt master a165f002
2016-09-16 09:43 bugmaster Status tested => verified
2016-09-16 09:43 bugmaster Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059516
2016-10-28 21:45 git Note Added: 0059517
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker